<!DOCTYPE html>
<html lang="en">

<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>Document</title>
</head>

<body>
   <script>
      var headers = new Headers();
      headers.append('a', 1);
      headers.append('b', 2);
      var request = new Request('https://httpbin.org/get', {
         headers: headers
      });
      console.log('request =', request);
      for (var k of request.headers.keys()) {
         console.log('request.headers.get("' + k + '")"', request.headers.get(k));
      }

      fetch(request)
         .then(function (response) {
            console.log('response =', response);
            for (var k of response.headers.keys()) {
               console.log('response.headers.get("' + k + '")"', response.headers.get(k));
            }
            return response.text();
         })
         .then(function (data) {
            console.log('data =', data);
         })
         .then(function (err) {
            console.log('err =', err);
         });
   </script>
</body>

</html>